Bug 1623937 - Extra logging in Satellite 6.4 Production logs
Summary: Extra logging in Satellite 6.4 Production logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.4
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Released
Assignee: Jonathon Turel
QA Contact: Lai
URL:
Whiteboard:
: 1626540 (view as bug list)
Depends On:
Blocks: 1122832 1619394
TreeView+ depends on / blocked
 
Reported: 2018-08-30 13:46 UTC by Mihir Lele
Modified: 2019-10-18 13:51 UTC (History)
21 users (show)

Fixed In Version: tfm-rubygem-runcible-2.11.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684689 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:37:51 UTC


Attachments (Terms of Use)
production logs (42.90 KB, text/plain)
2018-08-30 13:46 UTC, Mihir Lele
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:03 UTC
Foreman Issue Tracker 26018 None None None 2019-02-08 16:11:56 UTC

Description Mihir Lele 2018-08-30 13:46:56 UTC
Created attachment 1479817 [details]
production logs

Description of problem: We are observing extra logging in the production logs which is crowding the production logs even when no debug logging is enabled


Version-Release number of selected component (if applicable):  6.4 HTB


How reproducible:  Always.


Steps to Reproduce:
1.  Sync a Repo on the satellite and wait until it completes.
2.  Simultaneously check the production logs and you will see something as below:

---snip -----

2018-08-30T09:13:30 [I|kat|] GET: https://satellite.example.com/pulp/api/v2/repositories/5fad9c2f-2e8b-48d1-981a-ddc6ff8e649a/?details=true: {"content_type"=>"application/json", "accept"=>"application/json"}

---snip ------


Actual results:

Extra logging is observed

Expected results:

Logging should be minimal if logging level is info

Additional info:

Attaching relevant part of the production logs on the bz

Comment 1 Brad Buckingham 2018-09-06 21:45:53 UTC
I was able to reproduce the log on a 6.4 install when syncing a repo that needed to download more packages.  If the sync resulted in no packages, the additional log was not there.  I also confirmed that I did not see the same on a 6.2 instance.

In the scenario where it was observed, the log was generated 4 times syncing a RHEL 7Server repo that needed to pull down 204 new packages.  (Note: there is likely no correlation between the packages and logs.)

Comment 3 Brad Buckingham 2018-10-17 17:15:49 UTC
*** Bug 1626540 has been marked as a duplicate of this bug. ***

Comment 23 Jonathon Turel 2019-02-08 16:11:56 UTC
Created redmine issue https://projects.theforeman.org/issues/26018 from this bug

Comment 25 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 26 Eric Helms 2019-03-06 22:45:32 UTC
The upstream issue is still in a NEW state with no fix attached.

Comment 28 Jonathon Turel 2019-03-07 14:18:03 UTC
Eric, I closed the issue and associated the Runcible PR. Should be good to go

Comment 29 Bryan Kearney 2019-03-07 15:05:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26018 has been resolved.

Comment 32 errata-xmlrpc 2019-05-14 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.